Create
curl --request POST \
--url https://api-staging.genuka.com/2023-11/admin/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
"order.created"
],
"name": "First webhook",
"url": "https://genuka-api.test/admin"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/webhooks"
payload = {
"events": ["order.created"],
"name": "First webhook",
"url": "https://genuka-api.test/admin"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: ['order.created'],
name: 'First webhook',
url: 'https://genuka-api.test/admin'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2025-10-10T14:55:27.000000Z",
"description": null,
"events": [
"order.created"
],
"failure_count": null,
"id": "01k779x9jv4cdpca6zjzgdatj3",
"is_active": null,
"last_triggered_at": null,
"metadata": null,
"secret": "c2EmRyAUY0uND8qvv2px5iOUbYHDpAtz",
"updated_at": "2025-10-10T14:55:27.000000Z",
"url": "https://genuka-api.test/admin"
}{
"errors": {
"url": [
"The URL must use the HTTPS protocol"
]
},
"message": "The URL must use the HTTPS protocol"
}Webhooks
Create webhook
Creates a new webhook for your store. Use this endpoint to register a URL that will receive event notifications, such as product updates, order creation, or stock changes. You can specify the event types and optional metadata for the webhook.
POST
/
2023-11
/
admin
/
webhooks
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Query Parameters
Example:
"confirmed"
Body
application/json
Response
201
Example:
"2025-10-10T14:55:27.000000Z"
Example:
["order.created"]
Example:
"01k779x9jv4cdpca6zjzgdatj3"
Example:
"c2EmRyAUY0uND8qvv2px5iOUbYHDpAtz"
Example:
"2025-10-10T14:55:27.000000Z"
Example:
"https://genuka-api.test/admin"
⌘I
